# Uses of Enum Class
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExplainForSpark.PartitioningType

Packages that use ClientWireProtocol.ExecuteExplainForSpark.PartitioningType
Package
Description
com.ocient.jdbc.proto

## Uses of ClientWireProtocol.ExecuteExplainForSpark.PartitioningType in com.ocient.jdbc.proto

Methods in com.ocient.jdbc.proto that return ClientWireProtocol.ExecuteExplainForSpark.PartitioningType
Modifier and Type
Method
Description
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.`forNumber(int value)`
`ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSpark.Builder.`getType()`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSpark.`getType()`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSparkOrBuilder.`getType()`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.`valueOf(int value)`
Deprecated.
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType`
ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClientWireProtocol.ExecuteExplainForSpark.PartitioningType[]`
ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc.proto that return types with arguments of type ClientWireProtocol.ExecuteExplainForSpark.PartitioningType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<ClientWireProtocol.ExecuteExplainForSpark.PartitioningType>`
ClientWireProtocol.ExecuteExplainForSpark.PartitioningType.`internalGetValueMap()`
Methods in com.ocient.jdbc.proto with parameters of type ClientWireProtocol.ExecuteExplainForSpark.PartitioningType
Modifier and Type
Method
Description
`ClientWireProtocol.ExecuteExplainForSpark.Builder`
ClientWireProtocol.ExecuteExplainForSpark.Builder.`setType(ClientWireProtocol.ExecuteExplainForSpark.PartitioningType value)`
`.xg.cmdcomp.ExecuteExplainForSpark.PartitioningType type = 2;`